vprocss: system.h File Reference

| vprocss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
system.h File Reference

## Overview

This is header for top level resource file that will initialize all system level peripherals.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    0.01  rc   07/07/14 First release

## Functions
int | XSys_Init (XPeriph *pPeriph, XVprocSs *pVprocss)
| This function is the system level initialization routine. More...
void | XSys_ReportSystemInfo (XPeriph *pPeriph, XVprocSs *pVprocss)
| This function reports all the IP's included in the system design. More...
int | XSys_SetStreamParam (XVprocSs *pVprocss, u16 Direction, u16 Width, u16 Height, XVidC_FrameRate FrameRate, XVidC_ColorFormat cfmt, u16 IsInterlaced)
| This function is to set vpss stream parameters. More...

## Function Documentation

int XSys_Init | ( | XPeriph * | pPeriph,
|  | XVprocSs * | pVprocss
| ) |  |

This function is the system level initialization routine.

It in turn calls each of the included subsystem initialization function

Parameters

  pPeriph | is a pointer to the peripherals instance
  pVprocss | is a pointer to the video proc subsystem instance

Returns
  - XST_SUCCESS if init. was successful.
  - XST_FAILURE if init. was unsuccessful.

Note
  None.

References XVprocSs_Config::BaseAddress, XVprocSs_Config::Topology, XPeriph_PowerOnInit(), XVprocSs_CfgInitialize(), XVprocSs_LogReset(), XVprocSs_LookupConfig(), and XVprocSs_SetFrameBufBaseaddr().

void XSys_ReportSystemInfo | ( | XPeriph * | pPeriph,
|  | XVprocSs * | pVprocss
| ) |  |

This function reports all the IP's included in the system design.

It calls each subsystem API to report its child nodes

Parameters

  pPeriph | is a pointer to the peripherals instance
  pVprocss | is a pointer to the video proc subsystem instance

Returns
  None

Note
  None.

References XPeriph_ReportDeviceInfo(), and XVprocSs_ReportSubsystemCoreInfo().

int XSys_SetStreamParam | ( | XVprocSs * | pVprocss,
|  | u16 | Direction,
|  | u16 | Width,
|  | u16 | Height,
|  | XVidC_FrameRate | FrameRate,
|  | XVidC_ColorFormat | cfmt,
|  | u16 | IsInterlaced
| ) |  |

This function is to set vpss stream parameters.

Parameters

  pVprocss | is a pointer to the video proc subsystem instance
  Direction | defined if parameters are to be applied to Input or output stream
  Width | is stream width
  Height | is stream height
  FrameRate | is stream frame rate
  cfmt | is stream color format

Returns
  XST_SUCCESS - if the stream configuration is proper XST_INVALID_PARAM - if the stream configuration is not proper

Note
  None.

References XVprocSs_Config::ColorDepth, XVprocSs::Config, XVprocSs_Config::PixPerClock, XVprocSs_SetVidStreamIn(), and XVprocSs_SetVidStreamOut().